=== man/CMakeLists.txt ===
install (FILES man1/proj.1 man1/cs2cs.1 man1/geod.1
  DESTINATION share/man/man1)

install (FILES man3/pj_init.3 man3/geodesic.3
  DESTINATION share/man/man3)
