=== debian/control ===
Source: proj
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9), sharutils
Standards-Version: 3.9.3
Homepage: http://trac.osgeo.org/proj/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/proj.git
Vcs-Git: git://git.debian.org/pkg-grass/proj.git

Package: proj-data
Architecture: any
Section: libs
Depends: ${misc:Depends}
Description: Cartographic projection filter and library (datum package)
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package contains auxiliary projection datum grids used by the
 library and tools.

Package: libproj0
Architecture: any
Section: libs
Depends: proj-data, ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-bin
Description: Cartographic projection library 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 shared library used by tools and third
 parties programs.

Package: libproj-dev
Architecture: any
Section: libdevel
Depends: libproj0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-bin
Description: Cartographic projection library (development files) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 development files.

Package: proj-bin
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: proj-ps-doc
Description: Cartographic projection library (tools) 
 Proj and invproj perform respective forward and inverse transformation
 of cartographic data to or from Cartesian data with a wide range of
 selectable projection functions (over 100 projections).
 .
 Geod and invgeod perform geodesic (Great Circle) computations for
 determining latitude, longitude and back azimuth of a terminus point given
 a initial point latitude, longitude, azimuth and distance (direct) or the
 forward and back azimuths and distance between an initial and terminus
 point latitudes and longitudes (inverse).
 .
 This package provides the PROJ4 binary tools.
