## proj 4.7.0-2%2bfremantle0

=== debian/changelog ===
proj (4.7.0-2+fremantle0) unstable; urgency=low

  * Initial port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Tue,  3 Dec 2013 17:51:41 +0100
