=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 9), sharutils
+Build-Depends: debhelper7, sharutils, maemo-optify
 Standards-Version: 3.9.3
 Homepage: http://trac.osgeo.org/proj/
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/proj.git
