=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl:/usr/bin/python
+export SBOX_REDIRECT_IGNORE
 
 CFLAGS=-O2 -Wall
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -92,6 +97,7 @@
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
