## proj 4.8.0

=== debian/changelog ===
proj (4.8.0-5) unstable; urgency=medium

  * Add patch to install nad2bin produced data files in /usr/lib/proj.
    (closes: 747862)
  * Symlink moved data files from /usr/lib/proj to /usr/share/proj.
  * Remove debian/TODO, nad2bin data files moved to /usr/lib/proj.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 20 May 2014 20:05:43 +0200

proj (4.8.0-4) unstable; urgency=medium

  * proj-data is arch any because of architecture specific datumgrids.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 10 May 2014 11:30:06 +0200

proj (4.8.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file, handle common problems.
  * Don't install geodesic.h.
  * Move from experimental to unstable.

  [ Andreas Tille ]
  * proj-data is arch all

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 09 May 2014 20:46:34 +0200

proj (4.8.0-3~exp1) experimental; urgency=low

  * Add myself to Uploaders.
  * Also install geodesic.h.
  * Restructure control file with cme, changes: canonical Vcs-* URLs.
  * Add gbp.conf to use pristine-tar by default.
  * Use dh-autoreconf for retooling.
    (closes: #703006)
  * Bump debhelper compatibility to 9.
  * Use hardening build flags.
  * Strip debian revision from symbols version.
  * Empty dependency_libs in .la files.
  * Add patches to fix man pages issues.
  * Also build the Java Native Interface bindings.
    (closes: #293803)
  * Update copyright file using copyright-format 1.0.
  * Bump Standards-Version to 3.9.5, changes: Vcs-* fields, symbols, copyright.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 12 Apr 2014 21:02:49 +0200

proj (4.8.0-2) unstable; urgency=low

  * Added back projects.h to libproj-dev, it is still used by Saga and 
    possibly other programs.
  * The old utility nad2nad is not more distributed.
    (closes: #716123)
  * Wrong annotation is fixed.
    (closes: #661827)
  * Fixed minor manpages errors and removed reference to the obsolete nad2nad.
    Added a patch manpages for that, because it is still not fixed upstream.
    (closes: #575364)
  * A few past errors seem fixed upstream
    (closes: #323305, #516874)
    or not issues
   (closes: #475533)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 29 Nov 2013 11:53:34 +0100

proj (4.8.0-1) unstable; urgency=low

  [ Jerome Villeneuve Larouche ]
  * New upstream release
  * Modified libproj-dev.install to remove nad_list.h and projects.h
  * Modified proj-bin.install to remove nad2nad
  * Modified proj-bin.manpages to remove nad2nad man
  * Added symbols for libproj0

  [ Francesco Paolo Lovergine ]
  * Properly merged with current git master and sid version 4.7.0-2.
  * Removed proj transitional package and obsolete conflicts/replaces against
    series 4.6 and older.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 25 Nov 2013 15:11:25 +0100
