=== debian/control ===
--- 
+++ 
@@ -1,13 +1,20 @@
 Source: proj
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
+           Bas Couwenberg <sebastic@xs4all.nl>
 Section: science
-Priority: extra
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper7, sharutils, maemo-optify
-Standards-Version: 3.9.3
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               sharutils,
+               default-jdk,
+               ant,
+               doxygen,
+               graphviz
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/proj.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/proj.git
 Homepage: http://trac.osgeo.org/proj/
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/proj.git
-Vcs-Git: git://git.debian.org/pkg-grass/proj.git
 
 Package: proj-data
 Architecture: any
@@ -30,7 +37,9 @@
 Package: libproj0
 Architecture: any
 Section: libs
-Depends: proj-data, ${shlibs:Depends}, ${misc:Depends}
+Depends: proj-data,
+         ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: proj-bin
 Description: Cartographic projection library 
  Proj and invproj perform respective forward and inverse transformation
@@ -49,7 +58,8 @@
 Package: libproj-dev
 Architecture: any
 Section: libdevel
-Depends: libproj0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libproj0 (= ${binary:Version}),
+         ${misc:Depends}
 Suggests: proj-bin
 Description: Cartographic projection library (development files) 
  Proj and invproj perform respective forward and inverse transformation
@@ -66,9 +76,8 @@
 
 Package: proj-bin
 Architecture: any
-Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: proj-ps-doc
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: Cartographic projection library (tools) 
  Proj and invproj perform respective forward and inverse transformation
  of cartographic data to or from Cartesian data with a wide range of
@@ -81,3 +90,22 @@
  point latitudes and longitudes (inverse).
  .
  This package provides the PROJ4 binary tools.
+
+Package: libproj-java
+Architecture: any
+Section: java
+Depends: libproj0 (= ${binary:Version}),
+         ${misc:Depends}
+Description: Cartographic projection library (JNI bindings) 
+ Proj and invproj perform respective forward and inverse transformation
+ of cartographic data to or from Cartesian data with a wide range of
+ selectable projection functions (over 100 projections).
+ .
+ Geod and invgeod perform geodesic (Great Circle) computations for
+ determining latitude, longitude and back azimuth of a terminus point given
+ a initial point latitude, longitude, azimuth and distance (direct) or the
+ forward and back azimuths and distance between an initial and terminus
+ point latitudes and longitudes (inverse).
+ .
+ This package provides the Java Native Interface bindings for PROJ4.
+
