=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/ \
http://download.osgeo.org/proj/ (?:.*/)?proj[\-\_](\d+[\.\d+]+(?:[a-zA-Z]+\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
debian	uupdate
