## proj 4.9.1

=== debian/changelog ===
proj (4.9.1-2) unstable; urgency=medium

  * Update upstream metadata for move to GitHub.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Drop .0 from GPL license shortname
    - Update my email to use @debian.org address

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 15:49:24 +0200

proj (4.9.1-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Use jquery.js from libjs-jquery instead of doxygen copy.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 May 2015 21:15:10 +0200

proj (4.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Ignore test failures instead of failing the build.
  * Drop patches applied upstream.
  * Update package names for SONAME bump (0 -> 9).
  * Update symbols for PROJ 4.9.0/4.9.1.
  * Add substitution variable ${misc:Pre-Depends} for libproj.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Mar 2015 20:57:14 +0100

proj (4.9.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Set experimental branch in Vcs-Git and gbp.conf.
  * Add upstream metadata.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to use @debian.org address.
  * Refresh patches.
  * Update copyright years in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Feb 2015 00:12:35 +0100

proj (4.9.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright file.
  * Use minimal dh rules.
  * Update install files for Multi-Arch paths.
  * Bump Standards-Version to 3.9.6, no changes.
  * Remove useless autogenerated doxygen files.
  * Update datumgrids.shar with proj-datumgrid-1.6RC1, it now includes
    "CTable2" format grid shift files that aren't system dependent,
    but requires PROJ 4.8.0 or newer.
  * Update datumgrids-ch.shar to also include the latest Swiss CHENyx06
    dataset, adding CHENYX06a.{asc,gsb} and chenyx06etrs.gsb.
  * Update nad2bin-data.patch to fix the build when the .lla files from
    proj-datumgrid-1.5 are not present, and install system independent
    files from proj-datumgrid-1.6 if they are present.
  * Add patch to use the higher precision towgs84 values as specified by
    Kadaster for EPSG 28991 & 28992.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 05 Oct 2014 21:45:15 +0200
