=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: proj
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,13 +11,13 @@
                ant,
                doxygen,
                graphviz
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/proj.git
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/proj.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/proj.git
 Homepage: http://trac.osgeo.org/proj/
 
 Package: proj-data
-Architecture: any
+Architecture: all
 Section: libs
 Depends: ${misc:Depends}
 Description: Cartographic projection filter and library (datum package)
@@ -34,9 +34,10 @@
  This package contains auxiliary projection datum grids used by the
  library and tools.
 
-Package: libproj0
+Package: libproj9
 Architecture: any
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: proj-data,
          ${shlibs:Depends},
          ${misc:Depends}
@@ -58,7 +59,7 @@
 Package: libproj-dev
 Architecture: any
 Section: libdevel
-Depends: libproj0 (= ${binary:Version}),
+Depends: libproj9 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: proj-bin
 Description: Cartographic projection library (development files) 
@@ -94,7 +95,8 @@
 Package: libproj-java
 Architecture: any
 Section: java
-Depends: libproj0 (= ${binary:Version}),
+Depends: libproj9 (= ${binary:Version}),
+         libjs-jquery,
          ${misc:Depends}
 Description: Cartographic projection library (JNI bindings) 
  Proj and invproj perform respective forward and inverse transformation
