=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/proj/ \
(?:.*/)?proj[\-\_](\d+[\.\d+]+(?:[a-zA-Z]+\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
