## proj 4.9.2

=== debian/changelog ===
proj (4.9.2-3) unstable; urgency=medium

  * Update Homepage URL for move to GitHub.
  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch by Alexis Bienvenüe to make nad2bin output reproducible.
    (closes: #825088)
  * Enable all hardening buildflags.
  * Add patch to add a BUGS section to the manpages & update old URLs.
    (closes: #809690)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 May 2016 22:34:18 +0200

proj (4.9.2-2) unstable; urgency=medium

  * Add patch to fix unmatched ')' in man page.
    (closes: 807145)
  * Update Vcs-Git URL to use HTTPS.
  * Add patch to fix transformation of points outside datum shift grids.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 02 Feb 2016 20:00:35 +0100

proj (4.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Don't use RC version for symbols.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Sep 2015 08:26:15 +0200

proj (4.9.2~rc3-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop SONAME patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Sep 2015 01:41:44 +0200

proj (4.9.2~rc2+1-1~exp1) experimental; urgency=medium

  * Import proj-4.9.2RC2.tar.gz again (changed after first published).
  * Add patch to revert the SONAME back to libproj.so.9.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Sep 2015 00:30:33 +0200

proj (4.9.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for 4.9.2 RC1.
  * Don't ignore symbols changes for libproj.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Sep 2015 16:53:12 +0200

proj (4.9.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update copyright for new & changed files.
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Sep 2015 19:27:36 +0200

proj (4.9.1-3) unstable; urgency=medium

  * Add patches to install proj_def.dat again.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Sep 2015 19:46:01 +0200
