=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                ant,
                doxygen,
                graphviz
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/proj.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/proj.git
-Homepage: http://trac.osgeo.org/proj/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/proj.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/proj.git
+Homepage: https://github.com/OSGeo/proj.4/wiki
 
 Package: proj-data
 Architecture: all
