=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 DEB_HOST_MULTIARCH?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -114,6 +117,5 @@
 	dh_installchangelogs ChangeLog upstream
 
 override_dh_makeshlibs:
-	# Forces failure ignoring to collect new symbols
-	dh_makeshlibs -- -c0 -v$(PROJ_VERSION)
+	dh_makeshlibs -- -v$(PROJ_VERSION)
